Download it now!
Bug 104532 - function NEGBINOM.DIST does not handle the argument constraints correctly.
Summary: function NEGBINOM.DIST does not handle the argument constraints correctly.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-09 16:10 UTC by Winfried Donkers (retired)
Modified: 2016-12-13 06:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document used (271.53 KB, text/plain)
2016-12-09 16:33 UTC, Winfried Donkers (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2016-12-09 16:10:13 UTC
Description:
The argument constraints
-Number_f and number_s are truncated to integers
-If number_f < 0 or number_s < 1, NEGBINOM.DIST returns the #NUM! error value
are not handled correctly.

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always

User Profile Reset: 

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Winfried Donkers (retired) 2016-12-09 16:33:06 UTC
Created attachment 129429 [details]
test document used

Rows 22, 27 and 28 produce incorrect results.
Comment 3 Commit Notification 2016-12-12 20:34:01 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c20348e66b6c8fe88d204ba5b6f01b572334152&h=libreoffice-5-3

tdf#104532 handle constraints for NEGBINOM.DIST correctly.

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.